{sources ? import ./nix/sources.nix, pkgs ? import sources.nixpkgs { } }:

let
  envspew = pkgs.buildGoPackage {
    name = "envspew";
    goPackagePath = "tulpa.dev/cadey/envspew";
    src = ./.;
    allowGoReference = false;
    preBuild = ''
      export CGO_ENABLED=0
      buildFlagsArray+=(-pkgdir "$TMPDIR")
    '';
  };
in pkgs.dockerTools.buildLayeredImage {
  name = "xena/envspew";
  contents = [ envspew ];
  config.Cmd = [ "/bin/web" ];
}
