let
  sources = import ./nix/sources.nix;
  pkgs = import sources.nixpkgs { };
  xepkgs = import sources.xepkgs { inherit pkgs; };
in pkgs.mkShell {
  buildInputs = with pkgs; [
    go
    goimports
    kubectl
    jq

    xepkgs.gopls
  ];
}
